Package: org.grails.web.errors

## [Groovy] Class ErrorsViewStackTracePrinter

- org.grails.web.errors.ErrorsViewStackTracePrinter

- Customized Stack trace output for the errors view.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ErrorsViewStackTracePrinter (ResourceLocator resourceLocator)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.String` | `formatCodeSnippetEnd(org.springframework.core.io.Resource resource, int lineNumber)`
    `` | `protected java.lang.String` | `formatCodeSnippetErrorLine(int currentLineNumber, java.lang.Object currentLine)`
    `` | `protected java.lang.String` | `formatCodeSnippetLine(int currentLineNumber, java.lang.Object currentLine)`
    `` | `java.lang.String` | `formatCodeSnippetStart(org.springframework.core.io.Resource resource, int lineNumber)`
    `` | `protected int` | `getLineNumberInfo(java.lang.Throwable cause, int defaultInfo)`
    `` | `java.lang.String` | `prettyPrint(java.lang.Throwable t)`
    `` | `java.lang.String` | `prettyPrintCodeSnippet(java.lang.Throwable t)`
    `` | `protected boolean` | `shouldSkipNextCause(java.lang.Throwable e)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DefaultErrorsPrinter` | `formatCodeSnippetEnd, formatCodeSnippetErrorLine, formatCodeSnippetLine, formatCodeSnippetStart, getFileName, getFileNameInfo, getLineNumberInfo, getRootCause, prettyPrintCodeSnippet`
    `class DefaultStackTracePrinter` | `getFileName, makeRelativeIfPossible, prettyPrint, printCausedByMessage, printFailureLocation, printHeader, printLastEntry, printStackLine, shouldSkipNextCause`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### ErrorsViewStackTracePrinter(ResourceLocator resourceLocator)

  - ### Method Detail

    - #### @java.lang.Override java.lang.String formatCodeSnippetEnd(org.springframework.core.io.Resource resource, int lineNumber)

    - #### @java.lang.Override protected java.lang.String formatCodeSnippetErrorLine(int currentLineNumber, java.lang.Object currentLine)

    - #### @java.lang.Override protected java.lang.String formatCodeSnippetLine(int currentLineNumber, java.lang.Object currentLine)

    - #### @java.lang.Override java.lang.String formatCodeSnippetStart(org.springframework.core.io.Resource resource, int lineNumber)

    - #### @java.lang.Override protected int getLineNumberInfo(java.lang.Throwable cause, int defaultInfo)

    - #### @java.lang.Override java.lang.String prettyPrint(java.lang.Throwable t)

    - #### @java.lang.Override java.lang.String prettyPrintCodeSnippet(java.lang.Throwable t)

    - #### @java.lang.Override protected boolean shouldSkipNextCause(java.lang.Throwable e)